Bug 460883 - [a11y] Openoffice.org calc crash opening xls file
[a11y] Openoffice.org calc crash opening xls file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 07:45 EDT by antonio montagnani
Modified: 2008-09-07 17:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-07 17:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test xls file (990.50 KB, application/vnd.ms-excel)
2008-09-02 07:45 EDT, antonio montagnani
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 93419 None None None Never

  None (edit)
Description antonio montagnani 2008-09-02 07:45:58 EDT
Created attachment 315536 [details]
test xls file

Description of problem:
When I try to open a .xls file it crashes

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start OOffice Calc
2.Open attached file
3.
  
Actual results:
crash 

Expected results:
Opening the file....

Additional info:
Crash report:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: not GNOME
(IV)   openoffice.org-kde version is: il pacchetto openoffice.org-kde non รจ stato installato
(V)    libgcj version is: libgcj-4.3.2-1-i386
(IV)   kernel is: Linux 2.6.27-0.244.rc2.git1.fc10.i686 #1 SMP Fri Aug 8 13:26:20 EDT 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.0-3.1.fc10-i386
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 9.90.1 (Rawhide)
(VV)   LANG is: it_IT.utf8
...start free space details ...
Filesystem        blocchi di   1K   Usati Disponib. Uso% Montato su
/dev/mapper/VolGroup00-LogVol00
                      74667184  11226552  59647736  16% /
/dev/mapper/VolGroup00-LogVol00
                      74667184  11226552  59647736  16% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x7cc86b4: 0x1b4a58: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x256b4
0x7cc8fef: 0x1b4a58: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25fef
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x596e7d5: 0xa5c610: /usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x6c67d5 (accessibility::AccessibleShape::UpdateStates() + 0x187)
0x596e860: 0xa5c610: /usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x6c6860 (accessibility::AccessibleShape::Init() + 0x20)
0x8930d34: 0x8018a0: /usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x686d34
0x8931b2e: 0x8018a0: /usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x687b2e
0x89325a6: 0x8018a0: /usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x6885a6
0x1c1beb: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x17beb (AtkListener::updateChildList(com::sun::star::accessibility::XAccessibleContext*) + 0xfd)
0x1c28f4: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x188f4 (AtkListener::AtkListener(_AtkObjectWrapper*) + 0x72)
0x1cb872: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x21872 (atk_object_wrapper_new + 0x1b8)
0x1cb691: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x21691 (atk_object_wrapper_ref + 0x4f)
0x1c1e83: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x17e83 (AtkListener::handleChildAdded(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext> const&, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible> const&) + 0x21)
0x1c2078: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x18078 (AtkListener::notifyEvent(com::sun::star::accessibility::AccessibleEventObject const&) + 0xe8)
0x3439b8e: 0xe6fc4: /usr/lib/openoffice.org3/program/../basis-link/program/libcomphelp4gcc3.so + 0x60b8e (comphelper::AccessibleEventNotifier::addEvent(unsigned long, com::sun::star::accessibility::AccessibleEventObject const&) + 0xbe)
0x34381f1: 0xe6fc4: /usr/lib/openoffice.org3/program/../basis-link/program/libcomphelp4gcc3.so + 0x5f1f1 (comphelper::OAccessibleContextHelper::NotifyAccessibleEvent(short, com::sun::star::uno::Any const&, com::sun::star::uno::Any const&) + 0x8b)
0x3e2cd46: 0x1a06f8: /usr/lib/openoffice.org3/program/../basis-link/program/libtkli.so + 0x83d46 (VCLXAccessibleComponent::ProcessWindowChildEvent(VclWindowEvent const&) + 0x10a)
0x3e2d3f2: 0x1a06f8: /usr/lib/openoffice.org3/program/../basis-link/program/libtkli.so + 0x843f2 (VCLXAccessibleComponent::WindowChildEventListener(VclSimpleEvent*) + 0x76)
0x3e2d439: 0x1a06f8: /usr/lib/openoffice.org3/program/../basis-link/program/libtkli.so + 0x84439 (VCLXAccessibleComponent::LinkStubWindowChildEventListener(void*, void*) + 0x1d)
0x37729b1: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa29b1 (VclEventListeners::Call(VclSimpleEvent*) const + 0x8b)
0x38cfb77: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x1ffb77 (Window::CallEventListeners(unsigned long, void*) + 0xfd)
0x38cfc82: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x1ffc82 (Window::ImplCallEventListeners(unsigned long, void*) + 0x20)
0x38d0565: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x200565
0x38d05be: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2005be
0x38d05be: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2005be
0x38d05be: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2005be
0x38d05be: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2005be
0x38d656d: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x20656d (Window::Show(unsigned char, unsigned short) + 0x4eb)
0x38d65ba: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2065ba (Window::Show(unsigned char, unsigned short) + 0x538)
0x42a895c: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1ab95c (SfxViewFrame::Show() + 0x100)
0x42b3f89: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1b6f89 (SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x80f)
0x429752b: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x19a52b
0x71f7323: 0x1e557c: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0xd9323
0x71f7caf: 0x1e557c: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0xd9caf
0x71f1f84: 0x1e557c: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0xd3f84
0x71f2286: 0x1e557c: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0xd4286
0x3463869: 0xe6fc4: /usr/lib/openoffice.org3/program/../basis-link/program/libcomphelp4gcc3.so + 0x8a869 (comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x27d)
0x527eafe: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x2aafe
0x52898c7: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x358c7
0x526f508: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1b508
0x526f8e3: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1b8e3
0x526f9d1: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1b9d1
0x38e3cd6: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x213cd6
0x278468: 0x65644: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so + 0x46468 (SalDisplay::DispatchInternalEvent() + 0x96)
0x1bc02c: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x1202c
0x74a421: 0xe2108: /lib/libglib-2.0.so.0 + 0x35421
0x74c381: 0xe2108: /lib/libglib-2.0.so.0 + 0x37381 (g_main_context_dispatch + 0x1f1)
0x74fa23: 0xe2108: /lib/libglib-2.0.so.0 + 0x3aa23
0x74fbe1: 0xe2108: /lib/libglib-2.0.so.0 + 0x3abe1 (g_main_context_iteration + 0x71)
0x1bc0e4: 0x40d48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x120e4
0x27ec81: 0x65644: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so + 0x4cc81 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x376ca7d: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9ca7d (Application::Yield(bool) + 0x57)
0x376cacb: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9cacb (Application::Execute() + 0x2b)
0x52725cb: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1e5cb
0x37700b7: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa00b7
0x3770253: 0x2ec0ac: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa0253 (SVMain() + 0x2c)
0x529256c: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3e56c (soffice_main + 0xd0)
0x8048c74: 0x1510: /usr/lib/openoffice.org3/program/soffice.bin + 0xc74 (main + 0x20)
0x5336e5: 0x16fd7c: /lib/libc.so.6 + 0x166e5 (__libc_start_main + 0xe5)
0x8048bc1: 0x1510: /usr/lib/openoffice.org3/program/soffice.bin + 0xbc1 (__gxx_personality_v0 + 0xa9)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x0051b000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00158000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x001ff000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x0021c000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00293000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x002bd000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x002db000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x002e6000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0035e000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x003a5000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00438000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00467000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x0046b000)
	librt.so.1 => /lib/librt.so.1 (0x00470000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0047a000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00498000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x0096f000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x009b2000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x00a95000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0x00b02000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x00df6000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x00ebf000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x00f0d000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x00f7c000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00ffe000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x061be000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x06278000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x02f39000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0x02dfa000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x05c4f000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x004d9000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x05ad6000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x004e0000)
	libdl.so.2 => /lib/libdl.so.2 (0x004f0000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x065be000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0x039be000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x010e8000)
	libm.so.6 => /lib/libm.so.6 (0x053ea000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x050c0000)
	libc.so.6 => /lib/libc.so.6 (0x03275000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x004f5000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x046e6000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x028d7000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x0691c000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x0449f000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x0413f000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x06fc2000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x0658d000)
	libz.so.1 => /lib/libz.so.1 (0x01f16000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x05a49000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x01d94000)
	/lib/ld-linux.so.2 (0x004f9000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x0308e000)
	libcap.so.2 => /lib/libcap.so.2 (0x011da000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x03897000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x024ea000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x023ee000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0x0277e000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x01b0f000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x017ac000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x014bc000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x0148c000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x0141f000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x01266000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x011df000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x0395c000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x04830000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb71b2000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x052ab000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2008-09-02 08:18:10 EDT
This will be an accessibility bug so, assuming you don't *need* accessibility support, you can workaround this by (e.g. in GNOME) using system->preferences->personal->assistive technologies and disable using assistive technologies
Comment 2 Caolan McNamara 2008-09-03 06:12:45 EDT
Nasty life cycle problem on a11y object, fix checked in and submitted upstream.

Will be in >= 3.0.0-4.2

Note You need to log in before you can comment on or make changes to this bug.